Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.upgrade
Class StateAssistant

    public interface class StateAssistant

Allows an upgrade action to pass name/value pairs between `UpgradeAction` method invocations, even if, for a particular upgrade action, successive method invocations take place against different UpgradeAction Java objects.

(Unpublished)

Method Summary
`java.lang.String[]` | `getKeys()` Gets the keys of the name/value pairs set for the upgrade action.
`java.lang.String` | `getValue(java.lang.String key)` Gets the value of the specified key.
`void` | `setValue(java.lang.String key, java.lang.String value)` Sets the value of the specified key.

Method Detail

### getKeys

    java.lang.String[] getKeys()
                               throws IfsException

  Description copied from interface: `StateAssistant`
  Gets the keys of the name/value pairs set for the upgrade action.

  Returns:
    the names of the keys. If there are no keys for a given upgrade action, a zero size array will be returned.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getValue

    java.lang.String getValue(java.lang.String key)
                              throws IfsException

  Description copied from interface: `StateAssistant`
  Gets the value of the specified key.

  Parameters:
    `key` - the name of the key
  Returns:
    the value, or null if there is no name/value pair with the specified key for the upgrade action
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setValue

    void setValue(java.lang.String key,
                  java.lang.String value)
                  throws IfsException

  Description copied from interface: `StateAssistant`
  Sets the value of the specified key.

  Parameters:
    `key` - the name of the key
    `value` - the value; if null or empty string any existing name/value pair with the specified key is removed
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD